## libsbig 4.9.9

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (libsbig)

set (SBIG_VERSION "4.9.9")
set (SBIG_SOVERSION "4")

list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include (GNUInstallDirs)
include (InstallImported)

add_library (sbig SHARED IMPORTED)

set_target_properties (sbig PROPERTIES VERSION ${SBIG_VERSION} SOVERSION ${SBIG_SOVERSION})

if (APPLE)

  set (FIRMWARE_INSTALL_DIR "/usr/local/lib/indi/DriverSupport/sbig")

  set_property (TARGET sbig PROPERTY IMPORTED_LOCATION "SBIGUDrvOSX.bin")

elseif (UNIX AND NOT WIN32)

  set (FIRMWARE_INSTALL_DIR "/lib/firmware")

  if (CMAKE_SYSTEM_PROCESSOR MATCHES "armv+")
    set_property (TARGET sbig PROPERTY IMPORTED_LOCATION "libsbig_armhf.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64")
    set_property (TARGET sbig PROPERTY IMPORTED_LOCATION "libsbig_arm64.bin")
  elseif (CMAKE_SIZEOF_VOID_P MATCHES "8")
    set_property (TARGET sbig PROPERTY IMPORTED_LOCATION "libsbig_x64.bin")
  endif ()

  # Install udev rules
  set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
  install (FILES 51-sbig-debian.rules DESTINATION ${UDEVRULES_INSTALL_DIR})

endif ()

# Install header files
install (FILES sbigudrv.h DESTINATION include/libsbig)

# Install firmware
install (FILES sbigucam.hex sbiglcam.hex sbigfcam.hex sbigpcam.hex stfga.bin DESTINATION ${FIRMWARE_INSTALL_DIR})

# Install library
install_imported (TARGETS sbig DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libsbig (4.9.9-7) unstable; urgency=medium

  * don't ever think that lintian gives better advice than Helmut

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Sep 2024 12:49:12 +0200

libsbig (4.9.9-6) unstable; urgency=medium

  * Upgrade Replaces to Conflicts to mitigate /usr-move induced file loss.
    (DEP17 P1 M7, Closes: #1079059)
    (Thanks a lot to Helmut Grohne who watches nonstop over the uploads
     and finds every glitch)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Aug 2024 18:49:12 +0200

libsbig (4.9.9-5) unstable; urgency=medium

  * upload to unstable
  * debian/control: add dh-sequence-movetousr to Build-Depends:
                    (Closes: #1073644)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 12 Jul 2024 18:49:12 +0200

libsbig (4.9.9-4.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Fri, 02 Feb 2024 06:16:50 +0000

libsbig (4.9.9-4) unstable; urgency=medium

  * debian/rules: avoid dh_dwz

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 Aug 2022 22:49:12 +0200

libsbig (4.9.9-3) unstable; urgency=medium

  * debian/control: reduce number of architectures of libsbig-dev
                    Thanks to Steve Langasek for the patch
                    (Closes: #1014499)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 17 Aug 2022 20:59:12 +0200

libsbig (4.9.9-2) unstable; urgency=medium

  * rebuild with indi 1.9.6
  * debian/control: move to debian-astra

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 23:59:12 +0200

libsbig (4.9.9-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 16:59:12 +0000

=== debian/control ===
Source: libsbig
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, dh-sequence-movetousr
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libsbig
Vcs-Git: https://salsa.debian.org/debian-astro-team/libsbig.git

Package: libsbig4t64
Provides: ${t64:Provides}
Conflicts: libsbig4 (<< ${source:Version})
Architecture: amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, fxload
Description: Santa Barbra Instrument Group (SBIG) Universal Library Driver
 The Official Santa Barbra Instrument Group (SBIG) Universal Library
 Driver is used by applications to access and control the USB,
 Parallel Port, and Ethernet versions of the CCD cameras and filter
 wheels including SBIG ST-7/8/9/10/2K cameras, ST-L cameras, and
 ST-402/1603/3200 cameras. The firmware is included for all classes of
 cameras.

Package: libsbig-dev
Section: non-free/libdevel
Architecture: amd64 armhf arm64
Depends: libsbig4t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SBIG Universal Library Driver - development files
 The Official Santa Barbra Instrument Group (SBIG) Universal Library
 Driver is used by applications to access and control the USB,
 Parallel Port, and Ethernet versions of the CCD cameras and filter
 wheels including SBIG ST-7/8/9/10/2K cameras, ST-L cameras, and
 ST-402/1603/3200 cameras. The firmware is included for all classes of
 cameras.
 .
 This package includes development headers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# TODO: figure out why dh_dwz fails on arm64
override_dh_dwz:
